.numberbox-control .label {
    font-size: 16px;

    padding-left: 15px;
}

.numberbox-control .input-container {
    height: 35px;

    display: grid;
    grid-template-columns: 10px 1fr;
}

.numberbox-control .input-container .required-container {
    border: 1px solid black;
    border-right: 0px;
    border-radius: var(--borderRadius) 0px 0px var(--borderRadius);
    background-color: gainsboro;

    transition: 0.3s;
}

.numberbox-control .input-container .required-container.isRequired:not(.isValid) {
    background-color: #c60000;
}

.numberbox-control .input-container .required-container.isValid {
    background-color: #128033;
}

.numberbox-control .input-container .textbox {
    font-size: 12px;

    border: 1px solid black;
    border-left: 0px;
    border-radius: 0px var(--borderRadius) var(--borderRadius) 0px;

    padding-left: 5px;

    outline: none;

    background-color: var(--inputBackgroundColor);
}

.numberbox-control .input-container .textbox[type='dateTime-local'],
.numberbox-control .input-container .textbox[type='date'] {
    font-family: var(--defaultFontFamily);
    padding-right: 5px;
}

.numberbox-control .input-container .textbox:read-only {
    cursor: not-allowed;
}

.numberbox-control .input-container .textbox:read-write:focus {
    background-color: lemonchiffon;
}